#!/bin/bash
bash /health.sh
if [ $? = 1 ]
    then 
      echo "Health: Test_Failed"
      sleep 30
      exit 1
    else 
      echo "Health: Test_Passed"
fi

bash /backup.sh

LEER="true" && ls /backup/* 2> /dev/null > /dev/null && LEER="false"
if [ $LEER = "true" ]
 then 
   echo "Backup: Test_Failed" 
 else 
   echo "Backup: Test_Passed"
fi

echo "Log for additional uncatched Problems"
tail /papermc/logs/latest.log

echo "Optionale Tests:"
echo "Backup Job in cron found?"
cat /etc/cron.d/backup

if [ -d "/papermc/plugins/dynmap/web/standanlone" ]
 then 
   echo "Dynmap exists: Test_Passed" 
   echo "Check permissions manually:"
   ls -lanR /papermc/plugins/dynmap/web/standalone
 else 
   echo "Backup: Test_Failed"
   echo "Dynmap nicht vorhanden"
fi